package com.sifang.modules.sunshine.SystemSetting.form;

import org.apache.poi.ss.usermodel.PictureData;
import org.hibernate.validator.constraints.NotBlank;

import java.io.Serializable;

public class AddProjectCompany implements Serializable {

    private String id;
    @NotBlank(message = "项目公司名称不能为空")
    private String name;
    @NotBlank(message = "公司性质不能为空")
    private String type;
    @NotBlank(message = "公司代码不能为空")
    private String companyCode;
    @NotBlank(message = "统一社会信用代码不能为空")
    private String enterpriseQualificationNumber;
    @NotBlank(message = "法定代表人不能为空")
    private String chargePerson;
    @NotBlank(message = "法定代表人身份证号不能为空")
    private String chargePersonIdCard;
    @NotBlank(message = "法人授权电话不能为空")
    private String psnAccount;
//    @NotBlank(message = "联系电话不能为空")
    private String telephone;
    @NotBlank(message = "省不能为空")
    private String province;
    @NotBlank(message = "市不能为空")
    private String city;
    @NotBlank(message = "区不能为空")
    private String area;
    @NotBlank(message = "详细地址不能为空")
    private String address;
    @NotBlank(message = "公司营业执照不能为空")
    private PictureData businessLicense;
    @NotBlank(message = "所属资方不能为空")
    private String partnerName;
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public String getEnterpriseQualificationNumber() {
        return enterpriseQualificationNumber;
    }

    public void setEnterpriseQualificationNumber(String enterpriseQualificationNumber) {
        this.enterpriseQualificationNumber = enterpriseQualificationNumber;
    }

    public String getPsnAccount() {
        return psnAccount;
    }

    public void setPsnAccount(String psnAccount) {
        this.psnAccount = psnAccount;
    }

    public String getChargePerson() {
        return chargePerson;
    }

    public void setChargePerson(String chargePerson) {
        this.chargePerson = chargePerson;
    }

    public String getChargePersonIdCard() {
        return chargePersonIdCard;
    }

    public void setChargePersonIdCard(String chargePersonIdCard) {
        this.chargePersonIdCard = chargePersonIdCard;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public PictureData getBusinessLicense() {
        return businessLicense;
    }

    public void setBusinessLicense(PictureData businessLicense) {
        this.businessLicense = businessLicense;
    }

    public String getPartnerName() {
        return partnerName;
    }

    public void setPartnerName(String partnerName) {
        this.partnerName = partnerName;
    }
}
